// -*- mode: C++; c-file-style: "Stroustrup" -*-
//
// This file is part of krot,
// a program for the simulation, assignment and fit of HRLIF spectra.
//
// Copyright (C) 1998 Jochen Kpper
//
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
// more details.
//
// You should have received a copy of the GNU General Public License along with
// this program; see the file License. if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 , USA
//
// If you use this program for your scientific work, please cite it according to
// the file CITATION that comes with the package.
//
// $Id: deleteSet.h,v 1.4 1998/09/25 18:06:23 jochen Exp $




#ifndef KROT_DIALOG_DELETE_H
#define KROT_DIALOG_DELETE_H


#include <qdialog.h>


// forward declarations;
class KRotData;
class QListBox;



/**
 * Provides a selection dialog to delete any dataset.
 * 
 * @short Deletion of datasets.
 * @author Jochen Kpper
 * @version $Id: deleteSet.h,v 1.4 1998/09/25 18:06:23 jochen Exp $
 */
class DialogDeleteSet : public QDialog
{
    Q_OBJECT

public:

    DialogDeleteSet( KRotData *krotdata, QWidget *parent=0, const char *name=0 );


protected slots:

    void doDeletion();

    void doDeletion( const char * );
    
    void help();


signals:

    void deleted();

    void message( const char * );
    

protected:

    QListBox *list;

    KRotData *krotData;
};



#endif
